Last Comment Bug 313043 - Crash when using AccessibleObjectFromWindow
: Crash when using AccessibleObjectFromWindow
Status: RESOLVED FIXED
: access, fixed1.8
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 All
: -- critical (vote)
: ---
Assigned To: Aaron Leventhal
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 12:12 PDT by Aaron Leventhal
Modified: 2006-02-25 05:47 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch without whitespace changes. It will be checked in with correct indentation. (1.77 KB, patch)
2005-10-19 12:14 PDT, Aaron Leventhal
parente: review+
bzbarsky: superreview+
asa: approval1.8rc1+
Details | Diff | Splinter Review

Description Aaron Leventhal 2005-10-19 12:12:22 PDT
Occasionally when using AccessibleObjectFromWindow() a crash will occur. The
base cause is a whole bunch of unnecessary calls when we try to return the
native accessible for the window.

The system's impl of AccessibleObjectFromWindow() uses get_accParent(), and our
get_accParent() will return the native OBJID_WINDOW accessible. We're supposed
to ignore those calls, but we are getting the root accessible at that point
which is unnecessary. Removing that clears up the unnecessary calls and the crash.
Comment 1 Aaron Leventhal 2005-10-19 12:14:17 PDT
Created attachment 200120 [details] [diff] [review]
Patch without whitespace changes. It will be checked in with correct indentation.
Comment 2 Boris Zbarsky [:bz] 2005-10-19 19:27:44 PDT
Comment on attachment 200120 [details] [diff] [review]
Patch without whitespace changes. It will be checked in with correct indentation.

Sure...
Comment 3 Aaron Leventhal 2005-10-19 19:36:23 PDT
This is not risky. It just moves the GetRootAccessible into the 2 if () sections
that use the results. Please take for branch.
Comment 4 Dan Kinnunen 2005-10-20 11:50:20 PDT
Verified that this has been fixed in dev build 10/19/05 build
Comment 5 neil@parkwaycc.co.uk 2006-02-25 05:47:24 PST
Note: this fails to compile with --with-windows-version=400

Note You need to log in before you can comment on or make changes to this bug.